const {randomNum} = require("../../util");
const wsShipPlayback = (WebSocket) => {
// 服务器端监听连接事件
  WebSocket.on('connection', (ws) => {
    console.log('18062：WebSocket连接成功');
    // 监听客户端发送的消息
    ws.on('message', (message) => {
      const params = JSON.parse(message)
      const sendResult = () => {
        const result = initPointsFeature(5000)
        ws.send(JSON.stringify(result))
      }
      sendResult()
      setInterval(() => {
        sendResult()
      }, 1000)
    });
    // 监听连接断开事件
    ws.on('close', () => {
      console.log('18062：WebSocket关闭成功');
    });
  });
}

const initPointsFeature = (total = 1) => {
  const arr = []
  for (let i = 0; i < total; i++) {
    arr.push({
      type: 'Feature',
      geometry: {
        type: 'Point',
        coordinates: [randomNum(107, 112, 6), randomNum(17, 20, 6)]
      },
      properties: {
        title: i
      }
    })
  }
  return arr
}
module.exports = wsShipPlayback